Conectați-vă cu Microsoft
Conectați-vă sau creați un cont.
Salut,
Selectați un alt cont.
Aveți mai multe conturi
Alegeți contul cu care doriți să vă conectați.

Simptome

Când încercați să instalați Microsoft .NET Framework 4.7 pe un computer care execută Windows 7 Service Pack 1 (SP1), Windows Server 2008 R2 SP1 sau Windows Server 2012, instalarea este blocată și nu poate continua.

.netFramework

Această problemă apare atunci când computerul nu are instalată actualizarea pentru D3DComplier (D3DCompiler_47.dll).

Cauză

.NET Framework 4.7 pe Windows 7 SP1, Windows Server 2008 R2 SP1 și Windows Server 2012 are o nouă dependență pe un fișier %windir%\system32\D3DCompiler_47.dll pentru WPF. Acest fișier trebuie să fie instalat înainte de a se putea instala produsul .NET Framework 4.7.

Soluție de evitare

Pentru a rezolva această problemă, instalați actualizarea d3dcompiler de la următoarele linkuri înainte de a instala .NET Framework 4.7. Actualizarea este disponibilă pe Catalogul Microsoft Update și prin Windows Update.

  • Pe Windows 7 SP1 x86, utilizați acest link.

  • Pe Windows 7 SP1 sau Windows Server 2008 R2 x64, utilizați acest link.

  • Pe Windows Server 2012 x64, utilizați acest link.

Stare

Microsoft a confirmat că aceasta este o problemă în produsele Microsoft enumerate în secțiunea „Se aplică la”.

Aveți nevoie de ajutor suplimentar?

Extindeți-vă competențele
Explorați instruirea
Fiți primul care obține noile caracteristici
Alăturați-vă la Microsoft Insider

Au fost utile aceste informații?

Cât de mulțumit sunteți de calitatea limbajului?
Ce v-a afectat experiența?

Vă mulțumim pentru feedback!

×